Katello - Bug #6293

Manifest refresh does not honour cdn proxy
06/19/2014 03:29 PM - Justin Sherrill

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Web Ul
Target version: Katello 2.0
Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1111269 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/435
6
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1111269
Description of problem:

When configuring saté with a manifest, it does not honour the configured cdn proxy
Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:

1. Install Katello/Sat6 and tell it to use a cdn proxy
2. Import a manifest

3. Click 'refresh manifest'

Actual results:
Katello does not go through the proxy

If the server cannot access the cdn directly, will get:
Error refreshing manifest. No route to host - connect(2)

Expected results:
Katello goes through the proxy

Additional info:

History

#1 - 06/25/2014 07:37 PM - Eric Helms

- Status changed from New to Assigned

- Assignee set to Eric Helms

- Target version set to 48

- translation missing: en.field_release set to 13

- Triaged set to Yes

#2 - 07/07/2014 07:47 AM - Eric Helms

- Target version changed from 48 to 49

#3 - 07/16/2014 09:58 AM - Eric Helms
- Status changed from Assigned to Ready For Testing

#4 - 07/28/2014 08:43 AM - Eric Helms
https://bugzilla.redhat.com/show_bug.cgi?id=1111269

- Target version changed from 49 to 54

#5 - 07/29/2014 10:44 AM - Eric Helms
- Pull request https://github.com/Katello/katello/pull/4356 added

#6 - 08/05/2014 10:33 PM - Eric Helms
- Status changed from Ready For Testing to Closed

- Difficulty set to medium
